# classes/phing/filters/XincludeFilter.php

## \XincludeFilter
jump to top

Applies Xinclude parsing to incoming text.

Uses PHP DOM XML support

Extends from
  \BaseParamFilterReader
Implements
  \ChainableReader
see
  \FilterReader
author
  Bill Karwin
copyright
  © 2003 seasonfive. All rights reserved
package
  phing.filters
version
  $Id: XincludeFilter.php 526 2009-08-11 12:11:17Z mrook $

### Properties

`$basedir= 'null'`
Default value `null` Details

Type

`bool $processed= 'false'`

Default value `false` Details

Type
  bool

`bool $resolveExternals= 'false'`

Whether to resolve entities.

Default value `false` Details

Type
  bool
since
  2.4

### Methods

`chain( \Reader $reader ) : \Reader`
Creates a new XincludeFilter using the passed in Reader for instantiation.
Parameters

Name | Type | Description
--- | --- | ---
$reader | \Reader | A Reader object providing the underlying stream. Must not be `null`.

Returns

Type | Description
--- | ---
\Reader |

`getBasedir( ) :`
`getResolveExternals( ) : bool`
Returns

Type | Description
--- | ---
bool |

Details

since
  2.4

`process( string $xml ) :`
Try to process the Xinclude transformation
Parameters

Name | Type | Description
--- | --- | ---
$xml | string | XML to process.

Details

throws
  On errors

`read( $len = null ) : string`
Reads stream, applies XSLT and returns resulting stream.
Parameters

Name | Type | Description
--- | --- | ---
$len |  |

Returns

Type | Description
--- | ---
string |

Details

throws
  - if XSLT support missing, if error in xslt processing

`setBasedir( $dir ) :`
Parameters

Name | Type | Description
--- | --- | ---
$dir |  |

`setResolveExternals( $resolveExternals ) :`
Whether to resolve entities.
Parameters

Name | Type | Description
--- | --- | ---
$resolveExternals |  |

Details

since
  2.4

Documentation was generated by DocBlox 0.13.1.